> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 新增客户

> 用户通过该接口创建客户记录信息。客户名称必填且商户下唯一，其余属性非必填。如果需要保存钱包地址，则需要确定网络，如果不需要保存钱包地址则均可为空。

## 概述

本页说明 `POST /payment/open/institution/v1/pay/channelmanage/save` 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

新增客户

## 说明

* 认证方式使用 GatePay 标准签名请求头。
* 本页展示同一接口的机构路径版本。
* 除创建子账户、查询子账户详情、分页查询子账户外，机构侧请求需携带 `X-GatePay-On-Behalf-Of`。
* 通用签名规则请参见 [/api-reference/version/100/cn/common/securityAndSignature](/api-reference/version/100/cn/common/securityAndSignature)。


## OpenAPI

````yaml api-reference/version/100/cn/openapi/institution/channel-openapi.json POST /payment/open/institution/v1/pay/channelmanage/save
openapi: 3.1.0
info:
  title: GatePay 机构客户管理 API
  description: Gate Pay提供的网关商户解决方案。网关商户可以维护自己的客户，在使用GatePay收款和下发功能时可通过客户名称来区分交易。
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://openplatform.gateapi.io
security: []
paths:
  /payment/open/institution/v1/pay/channelmanage/save:
    post:
      summary: 新增客户
      description: >-
        用户通过该接口创建客户记录信息。客户名称必填且商户下唯一，其余属性非必填。如果需要保存钱包地址，则需要确定网络，如果不需要保存钱包地址则均可为空。
      parameters:
        - $ref: '#/components/parameters/X-GatePay-Certificate-ClientId'
        - $ref: '#/components/parameters/X-GatePay-Signature'
        - $ref: '#/components/parameters/X-GatePay-Timestamp'
        - $ref: '#/components/parameters/X-GatePay-Nonce'
        - $ref: '#/components/parameters/X-GatePay-On-Behalf-Of'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MerchantChannelAddDTO'
            example:
              merchantChannelList:
                - channelId: test
                  desc: 备注
                  channelType: '0'
                  address: '0x86608d3C9f979b98a3b2417216eD859d313E339D'
                  chain: ETH
                  customFields:
                    - code: customCode
                      name: customName
                      value: customValue
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse'
              example:
                status: SUCCESS
                code: '000000'
                errorMessage: ''
components:
  parameters:
    X-GatePay-Certificate-ClientId:
      name: X-GatePay-Certificate-ClientId
      in: header
      required: true
      description: 商户客户端 ID，在 GatePay 平台申请获取
      schema:
        type: string
        example: 4186d0c6-6a35-55a9-8dc6-5312769dbff8
    X-GatePay-Signature:
      name: X-GatePay-Signature
      in: header
      required: true
      description: 用于请求校验的 HMAC-SHA256 签名
      schema:
        type: string
        example: >-
          672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77
    X-GatePay-Timestamp:
      name: X-GatePay-Timestamp
      in: header
      required: true
      description: 毫秒级时间戳，与服务端时间偏差不得超过 5 分钟
      schema:
        type: string
        example: '1672905655498'
    X-GatePay-Nonce:
      name: X-GatePay-Nonce
      in: header
      required: true
      description: 随机 nonce，用于防止重放攻击
      schema:
        type: string
        example: '9578'
    X-GatePay-On-Behalf-Of:
      name: X-GatePay-On-Behalf-Of
      in: header
      required: true
      schema:
        type: string
      description: >-
        必填代理归属请求头。请填写本次请求的发起方账户 ID；在机构代理商户 API 中通常填写目标子账户 ID，在机构代扣与划转接口中可填写机构账户
        ID 或子账户 ID。
  schemas:
    MerchantChannelAddDTO:
      type: object
      properties:
        merchantChannelList:
          type: array
          items:
            $ref: '#/components/schemas/MerchantChannel'
          description: 客户列表，当前仅支持每次新增一个客户记录
    ApiResponse:
      type: object
      properties:
        status:
          type: string
          description: 请求状态
        code:
          type: string
          description: 响应码
        errorMessage:
          type: string
          description: 错误信息
    MerchantChannel:
      type: object
      required:
        - channelId
      properties:
        channelId:
          type: string
          description: 客户名称，是客户身份的唯一识别码，由商户自己录入，在商户下唯一且无法修改
        desc:
          type: string
          description: 客户描述，用于备注
        channelType:
          type: string
          enum:
            - '0'
            - '1'
          description: 客户类型 (0=个人；1=企业)
        address:
          type: string
          description: 保存客户的收款地址，用于客户提现
        chain:
          type: string
          description: 保存客户的收款网络，用于客户提现
        customFields:
          type: array
          description: 自定义字段列表
          items:
            $ref: '#/components/schemas/CustomField'
        email:
          type: string
          description: 邮箱
    CustomField:
      type: object
      properties:
        code:
          type: string
          description: 自定义字段 code，用于关联商户后台客户属性设置的预留字段 code
        name:
          type: string
          description: 自定义字段名称
        value:
          type: string
          description: 自定义字段值

````